## org.eclipse.datatools.sqltools.sqlbuilder.expressionbuilder
Class InformixFunctionNamesAndSignatures

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.expressionbuilder.InformixFunctionNamesAndSignatures

    public class InformixFunctionNamesAndSignatures

extends java.lang.Object

Field Summary
`static java.lang.String` `dbUDF`
`static java.lang.String` `informixAggregate`
`static java.lang.String` `informixAlgebraic`
`static java.lang.String` `informixAll`
`static java.lang.String` `informixConstant`
`static java.lang.String` `informixExponentialAndLogarithmic`
`static java.lang.String` `informixLength`
`static java.lang.String` `informixMisc`
`static java.lang.String` `informixNotSupported`
`static java.lang.String` `informixSmartLargeObject`
`static java.lang.String` `informixString`
`static java.lang.String` `informixTime`
`static java.lang.String` `informixTrigonometric`

Constructor Summary
`InformixFunctionNamesAndSignatures()`

Method Summary
`static void` `fillCategoryCombo(org.eclipse.swt.widgets.Combo functionsCategoryCombo, boolean isColumn)`
`static java.lang.String[]` `getFunctionList(java.lang.String category, boolean isColumn, SQLDomainModel domainModel)`
`static java.lang.Object[][]` `getParameterFormats(java.lang.String functionName)`
`static java.lang.Object[][]` `getParms(java.lang.String func)`
`static boolean` `isFunctionSupportingStar(java.lang.String s)`
`static boolean` `isNotSupported(java.lang.String functionName)`
`static boolean` `requiresNoBrackets(java.lang.String functionName)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### informixAll

    public static final java.lang.String informixAll

### informixAggregate

    public static final java.lang.String informixAggregate

### informixAlgebraic

    public static final java.lang.String informixAlgebraic

See Also:
  Constant Field Values

### informixConstant

    public static final java.lang.String informixConstant

See Also:
  Constant Field Values

### informixExponentialAndLogarithmic

    public static final java.lang.String informixExponentialAndLogarithmic

See Also:
  Constant Field Values

### informixLength

    public static final java.lang.String informixLength

See Also:
  Constant Field Values

### informixMisc

    public static final java.lang.String informixMisc

See Also:
  Constant Field Values

### informixSmartLargeObject

    public static final java.lang.String informixSmartLargeObject

See Also:
  Constant Field Values

### informixString

    public static final java.lang.String informixString

See Also:
  Constant Field Values

### informixTime

    public static final java.lang.String informixTime

See Also:
  Constant Field Values

### informixTrigonometric

    public static final java.lang.String informixTrigonometric

See Also:
  Constant Field Values

### informixNotSupported

    public static final java.lang.String informixNotSupported

### dbUDF

    public static java.lang.String dbUDF

Constructor Detail

### InformixFunctionNamesAndSignatures

    public InformixFunctionNamesAndSignatures()

Method Detail

### getParms

    public static java.lang.Object[][] getParms(java.lang.String func)

### getParameterFormats

    public static java.lang.Object[][] getParameterFormats(java.lang.String functionName)

### fillCategoryCombo

    public static void fillCategoryCombo(org.eclipse.swt.widgets.Combo functionsCategoryCombo,
                                         boolean isColumn)

### isFunctionSupportingStar

    public static boolean isFunctionSupportingStar(java.lang.String s)

### requiresNoBrackets

    public static boolean requiresNoBrackets(java.lang.String functionName)

### isNotSupported

    public static boolean isNotSupported(java.lang.String functionName)

### getFunctionList

    public static java.lang.String[] getFunctionList(java.lang.String category,
                                                     boolean isColumn,
                                                     SQLDomainModel domainModel)